Managed Service for Greenplum® API, REST: Cluster.Expand
Expands the specified Greenplum® cluster.
HTTP request
POST https://mdb.api.yandexcloud.kz/managed-greenplum/v1/clusters/{clusterId}/expand
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the Greenplum Cluster resource to update. The maximum string length in characters is 50. |
Body parameters
{
"segmentHostCount": "string",
"addSegmentsPerHostCount": "string",
"duration": "string",
"parallel": "string",
"closeCluster": "boolean",
"delayRedistribution": "boolean"
}
|
Field |
Description |
|
segmentHostCount |
string (int64) Number of hosts for add to the segment subcluster |
|
addSegmentsPerHostCount |
string (int64) Number of segments per host to add |
|
duration |
string (int64) Redistribute duration, in seconds |
|
parallel |
string (int64) Redistribute process parallelism, 0 - for automatic detection |
|
closeCluster |
boolean Deny all client connections during the expand operation |
|
delayRedistribution |
boolean Perform redistribution process by small chunks as background activity |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |